curl --request GET \
--url https://api.thefaithapp.com/v1/devotionals \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/devotionals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/devotionals"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)Get Devotionals
Retrieve devotionals for the authenticated user’s church. When X-Client-Date header is provided, returns a single devotional for that date with metadata. Otherwise, returns a paginated list of devotionals.
curl --request GET \
--url https://api.thefaithapp.com/v1/devotionals \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/devotionals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/devotionals"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Headers
The date for which to retrieve the devotional (format: YYYY-MM-DD). If provided, returns a single devotional for that date with metadata. If not provided, returns a paginated list of devotionals.
The timezone to use for date calculations (e.g., 'America/New_York'). Only used when X-Client-Date is provided. If not provided, uses UTC.
Query Parameters
Search term to filter devotionals. Only used when X-Client-Date is not provided.
Page number for pagination (default: 1). Only used when X-Client-Date is not provided.
Response
Devotional information. Returns either a single devotional with metadata when X-Client-Date is provided, or a paginated list of devotionals when no date is specified.
Was this page helpful?